MediaWiki:Gadget-Tooltip.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
Kuhlau (talk | contribs)
No edit summary
 
(5 intermediate revisions by the same user not shown)
Line 4: Line 4:


/* Colors */
/* Colors */
.skin-vector-legacy.wgl-darkmode, .skin-vector-legacy.wgl-theme-dark { --tooltip-bg: #0c0c0cd6; }
.skin-vector-legacy.wgl-darkmode, .skin-vector-legacy.wgl-theme-dark { --tooltip-bg: #0c0c0cd6; --color-ee: #00a29a; }
.skin-vector-legacy.wgl-lightmode, .skin-vector-legacy.wgl-theme-light { --tooltip-bg: #ecececd6; }
.skin-vector-legacy.wgl-lightmode, .skin-vector-legacy.wgl-theme-light { --tooltip-bg: #ecececd6; --color-ee: #00a29a; }
.skin-minerva.wgl-lightmode, .skin-minerva.wgl-theme-light { --tooltip-bg: #0c0c0c; }
.skin-minerva.wgl-lightmode, .skin-minerva.wgl-theme-light { --tooltip-bg: #0c0c0c; --color-ee: #00a29a; }
.skin-minerva.wgl-lightmode, .skin-minerva.wgl-theme-light { --tooltip-bg: #ececec; }
.skin-minerva.wgl-lightmode, .skin-minerva.wgl-theme-light { --tooltip-bg: #ececec; --color-ee: #00a29a; }


/** Text styling **/
/** Text styling **/
Line 38: Line 38:


/*** The tooltip's toggle version ***/
/*** The tooltip's toggle version ***/
.toggle-tooltip.hnaw-collapsible, .text-tooltip{
.toggle-tooltip.hnaw-collapsible, .text-tooltip {
display: inline-block;
display: inline-block;
     position: relative;
     position: relative;
border-bottom-color: rgb(128, 128, 128);
    text-decoration: underline;
border-bottom-width: 2px;
font-weight: bold;
border-bottom-style: dotted;
color: var(--color-ee);
}
}


/** Desktop: enabled through gadget **/
/** Desktop: enabled through gadget **/
/* Container */
/* Container */
.skin-vector-legacy .custom-tt-wrapper .oo-ui-popupWidget-popup {
.skin-vector-legacy .custom-tt-wrapper .oo-ui-popupWidget-popup,
.skin-vector-legacy .oo-ui-popupWidget-popup {
background: var(--tooltip-bg);
background: var(--tooltip-bg);
color: var(--theme-page-text-color);
color: var(--theme-page-text-color);
Line 58: Line 59:
}
}


/* Arrow */
/* Arrow (need to fix) */
.skin-vector-legacy .mw-collapsible-content.custom-tt:before {
.skin-vector-legacy .mw-collapsible-content.custom-tt:before {
     content: "";
     content: "";
Line 113: Line 114:
}
}


.custom-tt-wrapper .tt-header {
.custom-tt-wrapper .tt-header,
.oo-ui-popupWidget-popup .tt-header {
display: block;
display: block;
font-weight: bold;
font-weight: bold;
Line 124: Line 126:
}
}


/* Undo default ooui */
/* Undo default ooui - bottom is placeholder for lack of better selection class */
.custom-tt-wrapper .oo-ui-popupWidget-popup {
.custom-tt-wrapper .oo-ui-popupWidget-popup,
.oo-ui-popupWidget-popup {
border: none;
border: none;
background-color: transparent;
background-color: transparent;
Line 141: Line 144:
}
}
}
}
e